using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.OperatorBindingModels;
using TravelCompanyContracts.SearchModels.OperatorSearchModels;
using TravelCompanyContracts.ViewModels.OperatorViewModels;

namespace TravelCompanyContracts.StoragesContracts.OperatorStoragesContracts
{
    public interface IOperatorStorage
    {
        List<OperatorViewModel> GetFullList();
        List<OperatorViewModel> GetFilteredList(OperatorSearchModel model);
        OperatorViewModel? GetElement(OperatorSearchModel model);
        OperatorViewModel? Insert(OperatorBindingModel model);
        OperatorViewModel? Update(OperatorBindingModel model);
    }
}
